require( "scripts/style.lua" );

MakeDialog
{
	FadeWindow
	{
  	name="PauseWindow",
		x = 0, y = 0, 
		w = ScreenWight, h = ScreenHeight,

    Bitmap
	  {
		  image="interface/black1",
		  alpha = 0.5,
		  x=kCenter,
		  y=kCenter,
		  scale = 110,
		};
		Bitmap
	  {
		  image="menu/dialog_01",
		  x=kCenter,
		  y=kCenter,
		};
		-- заголовок
		Text
		{
			font = HeaderFontSmall,
			name = "pause_txt",
			x=0,y=240,w=kMax,h=kMax,
			ProfileButtonLabel("pause",HeaderFontSizeSmall)
		};
		-- ОК
		SetStyle(BackButtonStyle);
		QEMenuButton
		{
			x=kCenter+90,
			y=440,
			name="chooseok",
			cancel=true,
		  default=true,
			command =
				function()
				  PauseGame(false);
					CloseFade("PauseWindow","CloseWindow()");
				end
		};
	  SetStyle(MenuButtonPause1);
    QEMenuButton
    {
      x=kCenter-160,
      y=305,
      label="game_menu",
      command =
				function()
				  PlaySfx(mainMenuOpenSound);
					DoModal("scripts/yesno_quitmenu.lua");
				end
    };
    
    SetStyle(MenuButtonPause2);
    QEMenuButton
    {
      x=kCenter-160,
      y=370,
      label="optionsbutton",
      command =
	      function()
	      PlaySfx(mainMenuOpenSound);
		    DoModal("scripts/options.lua");
	      end
    };
    
    --SetStyle(MenuButtonPause3);
    --QEMenuButton
    --{
    --  x=kCenter-160,
    --  y=410-10,
    --  label="quit",
    --  command =
	  --    function()
	  --    PlaySfx(mainMenuOpenSound);
	  --    DoModal("scripts/yesno_quit.lua");
	  --    end
    --};
	
 	};
};